# Fixture Change

You will receive a fixture change when you book a match, and also when/if the match is added to the live odds program.

A *fixture\_change* message is sent when a Betradar system has made a fixture change it deems important. These are typically changes that affect events in the near term (e.g. a match was added that starts in the next few minutes / a match was delayed and starts in a couple of minutes, etc.).

The message is short and includes a bare minimum of relevant details about the addition/change. The recommended practice is to always to a follow-up API call to lookup the updated fixture information.

We might cancel the coverage of a match before it starts, or in the middle of the match. This might cause the `sport_event_status status=”3”` (match is ended) to not occur. However, a fixture\_change message will be sent instead if this happens (see the dedicated [Sport Event Status section](/uof/data-and-features/messages/event/odds-change/sport-event-status.md) for more information about this element).

For virtual sports a fixture change with a season id is sent out at the start of a new season. This is an indication that the new season schedule is available and could be read and cached, before the virtual sports odds\_changes messages start arriving.&#x20;

The SDKs will automatically handle this and read in the next season. However, the client system may also want to do something particular when a new season starts.

| **Name**     | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| event\_id    | The match/race/tournament this fixture change is for.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| change\_type | <p>(Optional) if specified, declares what type of change it is (new, start time, coverage). For a start time change or coverage change the details are in the message. Otherwise, the new fixture has to be requested from the API.</p><p>1=NEW, 2=DATETIME, 3=CANCELLED, 4=FORMAT, 5=COVERAGE</p><p>For live matches we only set change\_type in the fixture\_change message if the bookmaker looses access to a match.</p><p>For pre-match bookmakers will see this attribute on multiple occasions, but only with change\_type="2" as we try to update the DATETIME as often as possible.</p> |
| product      | The producer that generated this message (1=LiveOdds, 2=MTS, 3=BetradarCtrl, 4=Betpal, 5=Premium Cricket, etc.)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |

\
**XML Example**

```xml
<!-- Unspecified type of change -->
<fixture_change event_id="sr:match:1234" product="3"/>
 
<!-- New -->
<fixture_change event_id="sr:match:1234" change_type="1" product="1"/>
 
<!-- Coverage change -->
<fixture_change event_id="sr:match:1234" change_type="5" product="3"/>
  
<!-- Start time change -->
<fixture_change event_id="sr:match:1234 " change_type="2" product="1"/>

```

The change\_type attribute (if present), describes what type of change that caused the message to be sent. In general, best practices are to always re-fetch the updated fixture from the API and not solely rely on the `change_type` and the message content. This is because multiple different changes could have been made.&#x20;

Here is a listing of possible change\_types:

| **Change** | **Id** | **Description**                                                                                                                   |
| ---------- | ------ | --------------------------------------------------------------------------------------------------------------------------------- |
| NEW        | 1      | This is a new match/event that has been just added.                                                                               |
| DATE\_TIME | 2      | Start-time update                                                                                                                 |
| CANCELLED  | 3      | This sport event will not take place. It has been cancelled.                                                                      |
| FORMAT     | 4      | The format of the sport-event has been updated (e.g. the number of sets to play has been updated or the length of the match etc.) |
| COVERAGE   | 5      | Coverage update. Sent for example when liveodds coverage for some reason cannot be offered for a match.                           |
| PITCHER    | 6      | Change of pitcher. Sent when the starting pitcher is changed before the match starts                                              |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/data-and-features/messages/event/fixture-change.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
